#
# spec file for package perl-HTML-Encoding
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Encoding
Version:        0.61
Release:        8.35
Summary:        Determine the encoding of HTML/XML/XHTML documents
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Encoding/
Source0:        http://www.cpan.org/authors/id/B/BJ/BJOERN/HTML-Encoding-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-HTML-Parser
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
HTML::Encoding helps to determine the encoding of HTML and XML/XHTML
documents.

%prep
%setup -q -n HTML-Encoding-%{version}
find . -type f | xargs chmod -c -x
find . -type f | xargs %{__perl} -pi -e 's/\r//g'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(- ,root, root)
%doc Changes README
%dir %{perl_vendorlib}/HTML
%{perl_vendorlib}/HTML/Encoding.pm
%dir %{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/auto/HTML/Encoding
%{_mandir}/man3/HTML::Encoding*.gz

%changelog
* Mon Sep  9 2013 pgajdos@suse.com
- own %%{perl_vendorarch}/auto/HTML and %%{perl_vendorlib}/HTML/
  (fixes build for pure_factory)
* Thu Nov 29 2012 pgajdos@suse.com
- license GPL-1.0+ or Artistic-1.0
* Tue Apr 12 2011 pgajdos@suse.cz
- pdated to 0.61:
  * Fixed https://rt.cpan.org/Ticket/Display.html?id=61603
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Aug 13 2008 sierkb@gmx.de
- Release version 0.60:
  - minor bugfixes
* Mon Jun 30 2008 sierkb@gmx.de
- Release version 0.59:
  - De-listed URI as dependency, not my bug
  - added eg/detector.pl
  - added t/98podsyn.t
  - added t/99podcov.t
  - added 'dist' options in Makefile.PL
  - marked private subs with an underscore
* Mon Jun 30 2008 sierkb@gmx.de
- Release version 0.58:
  - List URI as dependency to prevent test failure
  - Added LICENCE => 'perl' to Makefile.PL
* Wed Apr  9 2008 sierkb@gmx.de
- Release version 0.57:
  - updated the pitfyful README file
  - fixed a performance problem in my_decode reported by Ville Skytta
- Spec file: Changelog cleanup.
* Thu Dec  6 2007 sierkb@gmx.de
- Release version 0.56:
  - updated changes file
  - fixed line end issues in test
* Wed Dec  5 2007 sierkb@gmx.de
- Release version 0.55
- Spec file: Changelog cleanup.
* Sun Dec  2 2007 sierkb@gmx.de
- Release version 0.54:
  - Fixed http://www.w3.org/mid/64584787-9995-43F3-A34E-D010ED9811D6@w3.org
* Mon Sep 17 2007 jfunk@funktronics.ca
- Cleanup files
* Wed Jun 20 2007 sierkb@gmx.de
- Spec file cleanups
* Wed May 23 2007 sierkb@gmx.de
- Release version 0.53:
  - Fixed http://rt.cpan.org/Public/Bug/Display.html?id=16351
* Mon May 21 2007 sierkb@gmx.de
- First openSUSE Build.
* Tue Dec 14 2004 bjoern@hoehrmann.de
- Release version 0.52:
  - encoding_from_http_message encoding defaulting did
    not work as intended, fixed.
* Tue Dec 14 2004 bjoern@hoehrmann.de
- Release version 0.51:
  - encoding_from_html_document returned a list in scalar
    context if the document had a XML declaration, fixed.
* Tue Nov  2 2004 bjoern@hoehrmann.de
- Release version 0.50:
  - rewrite from scratch
